Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QCalendarWidget.SelectionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QCalendarWidget.SelectionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QCalendarWidget

    public static final class QCalendarWidget.SelectionMode

extends java.lang.Enum
implements QtEnumerator

This enum describes the types of selection offered to the user for selecting dates in the calendar.

See also:
  `selectionMode`.

See Also:
  Serialized Form

Field Summary
`static QCalendarWidget.SelectionMode` | `NoSelection` Dates cannot be selected.
`static QCalendarWidget.SelectionMode` | `SingleSelection` Single dates can be selected.

Method Summary
`static QCalendarWidget.SelectionMode` | `resolve(int value)` Returns the SelectionMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCalendarWidget.SelectionMode` | `valueOf(java.lang.String name)`
`static QCalendarWidget.SelectionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoSelection

    public static final QCalendarWidget.SelectionMode NoSelection

  Dates cannot be selected.

### SingleSelection

    public static final QCalendarWidget.SelectionMode SingleSelection

  Single dates can be selected.

Method Detail

### values

    public static QCalendarWidget.SelectionMode[] values()

### valueOf

    public static QCalendarWidget.SelectionMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCalendarWidget.SelectionMode resolve(int value)

  Returns the SelectionMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD